Downtime banner script
Returns a JavaScript widget that auto-shows during active incidents and hides when systems are operational. Configure behavior with script tag data attributes: data-position, data-style, data-theme, and data-poll.
GET
/widgets/{statusPageId}/embed.js
Returns a JavaScript widget that auto-shows during active incidents and hides when systems are operational. Configure behavior with script tag data attributes: data-position, data-style, data-theme, and data-poll.
Path Parameters
statusPageId
string
required
path
Status page ID
Responses
200
JavaScript widget
application/javascriptcurl -X GET 'https://happyuptime.com/api/v1/widgets/string/embed.js'
const response = await fetch('https://happyuptime.com/api/v1/widgets/string/embed.js', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://happyuptime.com/api/v1/widgets/string/embed.js')print(response.json())
200
Response
"<string>"
API Playground
Try this endpoint
GET
/widgets/{statusPageId}/embed.js